> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.codecombat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Level Session

> Returns a list of all levels played by the user for the classroom.




## OpenAPI

````yaml GET /classrooms/{classroomHandle}/members/{memberHandle}/sessions
openapi: 3.0.1
info:
  title: CodeCombat API
  version: 0.0.1
servers:
  - url: https://codecombat.com/api
    description: default
security: []
paths:
  /classrooms/{classroomHandle}/members/{memberHandle}/sessions:
    get:
      tags:
        - Classrooms
      summary: Get Level Session
      description: |
        Returns a list of all levels played by the user for the classroom.
      operationId: classrooms_getLevelsPlayed
      parameters:
        - name: classroomHandle
          in: path
          description: The classroom's `_id`.
          required: true
          schema:
            type: string
        - name: memberHandle
          in: path
          description: The classroom member's `_id`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The classroom with the user enrolled.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LevelSessionResponse'
      security:
        - BasicAuth: []
components:
  schemas:
    LevelSessionResponse:
      title: LevelSessionResponse
      type: object
      properties:
        state:
          $ref: '#/components/schemas/LevelSessionResponseState'
          nullable: true
        level:
          $ref: '#/components/schemas/LevelSessionResponseLevel'
          nullable: true
        levelID:
          type: string
          nullable: true
          description: Level slug like `wakka-maul`
        creator:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
        playtime:
          type: integer
          nullable: true
          description: Time played in seconds.
        changed:
          $ref: '#/components/schemas/datetimeString'
          nullable: true
        created:
          $ref: '#/components/schemas/datetimeString'
          nullable: true
        dateFirstCompleted:
          $ref: '#/components/schemas/datetimeString'
          nullable: true
        submitted:
          type: boolean
          nullable: true
          description: For arenas. Whether or not the level has been added to the ladder.
        published:
          type: boolean
          nullable: true
          description: >-
            For shareable projects. Whether or not the project has been shared
            with classmates.
    LevelSessionResponseState:
      title: LevelSessionResponseState
      type: object
      properties:
        complete:
          type: boolean
          nullable: true
    LevelSessionResponseLevel:
      title: LevelSessionResponseLevel
      type: object
      properties:
        original:
          type: string
          nullable: true
          description: The id for the level.
    objectIdString:
      title: objectIdString
      type: string
    datetimeString:
      title: datetimeString
      type: string
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````